//
//  MySearchCell.m
//  Koula
//
//  Created by wemax on 16/6/14.
//  Copyright © 2016年 李文强. All rights reserved.
//

#import "MySearchCell.h"

@implementation MySearchCell

- (void)awakeFromNib {
    // Initialization code
   
    
    
    
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}
- (void)createCell0:(UITableViewCell *)cell andIndexPath:(NSIndexPath *)indexPath
{
    if (indexPath.row == 0) {
        self.wordLabel = [UILabel new];
        CGFloat wordW = [MysizeAuto createSize:self.wordLabel.text andFont:20 andSize:CGSizeMake(cell.frame.size.width-120, 40)].size.width;
        CGFloat wordY = 0;
        CGFloat wordX = 15;
        CGFloat wordH = cell.frame.size.height;
        self.wordLabel.frame = CGRectMake(wordX, wordY, wordW, wordH);
        self.wordLabel.textColor = [UIColor colorWithRed:0.1255 green:0.6039 blue:0.4431 alpha:1];
        [cell addSubview:self.wordLabel];
        
        
        CGFloat ipaW = [MysizeAuto createSize:self.ipaLabel.text andFont:20 andSize:CGSizeMake(cell.frame.size.width - 120, 40)].size.width;
        CGFloat ipaY = 0;
        CGFloat ipaX = 15+wordW;
        CGFloat ipaH = cell.frame.size.height;
        self.ipaLabel.frame = CGRectMake(ipaX, ipaY, ipaW, ipaH);
        self.ipaLabel.font = [UIFont systemFontOfSize:12];
        [cell addSubview:self.ipaLabel];
        
        
        CGFloat buttonX = cell.frame.size.width - 60;
        CGFloat buttonY = 0;
        CGFloat buttonW = 60;
        CGFloat buttonH = cell.frame.size.height;
        self.videoButton = [UIButton buttonWithType:UIButtonTypeCustom];
        self.videoButton.frame = CGRectMake(buttonX, buttonY, buttonW, buttonH);
        //设置播放音频的图片
        [self.videoButton setBackgroundImage:[UIImage imageNamed:@""] forState:0];
        self.videoButton.layer.borderColor = [UIColor colorWithRed:0.9647 green:0.9647 blue:0.9647 alpha:1].CGColor;
        self.videoButton.layer.borderWidth = 0.5;
        [self.videoButton addTarget:self action:@selector(getVideo:) forControlEvents:UIControlEventTouchUpInside];
        [cell addSubview:self.videoButton];
        
    }else
    {
        CGFloat detailX = 10;
        CGFloat detailY = 10;
        CGFloat detailW = cell.frame.size.width;
        CGFloat detailH = [MysizeAuto createSize:self.detail.text andFont:12 andSize:CGSizeMake(cell.frame.size.width-20, MAXFLOAT)].size.height;
        self.detail = [UITextView new];
        self.detail.frame = CGRectMake(detailX, detailY, detailW, detailH);
        self.detail.editable = NO;
        self.detail.font = [UIFont systemFontOfSize:12];
        [cell addSubview:self.detail];
        
    }
    

}
- (void)getVideo:(UIButton *)button
{
    
}

- (void)createCell1:(UITableViewCell *)cell andIndexPath:(NSIndexPath *)indexPath
{
    CGFloat myTextLabelX = 10;
    CGFloat myTextLabelY = 0;
    CGFloat myTextLabelH = [MysizeAuto createSize:self.mytextLabel.text andFont:12 andSize:CGSizeMake(cell.frame.size.width, MAXFLOAT)].size.height;
    CGFloat myTextLabelW = self.frame.size.width;
    self.mytextLabel = [UILabel new];
    self.mytextLabel.frame = CGRectMake(myTextLabelX, myTextLabelY, myTextLabelW, myTextLabelH);
    self.mytextLabel.font = [UIFont systemFontOfSize:12];
    [cell addSubview:self.mytextLabel];
    
    CGFloat chinaX = 10;
    CGFloat chinaY = myTextLabelH;
    CGFloat chinaH = [MysizeAuto createSize:self.chinesLabel.text andFont:12 andSize:CGSizeMake(cell.frame.size.width, MAXFLOAT)].size.height;
    CGFloat chinaW = self.frame.size.width;
    self.chinesLabel = [UILabel new];
    self.chinesLabel.frame = CGRectMake(chinaX, chinaY, chinaW, chinaH);
    self.chinesLabel.font = [UIFont systemFontOfSize:12];
    [cell addSubview:self.chinesLabel];

}
@end
