//
//  SearchViewTF.m
//  Koula
//
//  Created by wemax on 16/6/14.
//  Copyright © 2016年 李文强. All rights reserved.
//

#import "SearchViewTF.h"

@interface SearchViewTF ()<UITextFieldDelegate>
{
    
}


@end

@implementation SearchViewTF

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/
- (void)createSearchTF
{
    self.frame = CGRectMake(10, 24, Screen.width-60, 30);
    self.backgroundColor = [UIColor whiteColor];
    CGFloat imageX = 0;
    CGFloat imageY = 0;
    CGFloat imageW = 30;
    CGFloat imageH = 30;
    UIImageView * image = [UIImageView new];
    image.frame = CGRectMake(imageX, imageY, imageW, imageH);
    image.image = [UIImage imageNamed:@""];
    [self addSubview:image];
    
    CGFloat searchTFX = 40;
    CGFloat searchTFY = 0;
    CGFloat searchTFW = Screen.width - 120;
    CGFloat searchTFH = 30;
    self.searchTF = [UITextField new];
    self.searchTF.frame = CGRectMake(searchTFX, searchTFY, searchTFW, searchTFH);
    self.searchTF.delegate = self;
    self.searchTF.placeholder = @"请输入英文单词";
//    self.searchTF.clearButtonMode = UITextFieldViewModeWhileEditing;
    self.searchTF.clearButtonMode =  UITextFieldViewModeAlways;
    self.searchTF.textColor = [UIColor colorWithRed:0.1255 green:0.6039 blue:0.4431 alpha:1];
    [self addSubview:self.searchTF];

    // 是否设置清空之前输入的内容
    
    
    
#pragma mark --注册键盘弹起与收起通知
    [[NSNotificationCenter defaultCenter] addObserver:self
                                             selector:@selector(keyboardWillShow:)
                                                 name:UIKeyboardWillShowNotification
                                               object:nil];

}
#pragma mark--设置输入上浮
- (void)keyboardWillShow:(NSNotification *)note{
    NSDictionary *info                   = [note userInfo];
    CGSize keyboardSize                  = [[info objectForKey:UIKeyboardFrameEndUserInfoKey] CGRectValue].size;
    [self.delegate getKeyBordHeight:keyboardSize.height];
}
- (void)textFieldDidBeginEditing:(UITextField *)textField
{
    NSLog(@"开始");
}
- (void)textFieldDidEndEditing:(UITextField *)textField
{
    NSLog(@"结束");
}
- (BOOL)textField:(UITextField *)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString *)string
{
    NSLog(@"单词变了");
    return YES;
}
- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
    NSLog(@"return");
    [self.searchTF resignFirstResponder];
    [self.delegate getKeyBordHeight:0];

    //添加查询方法
    
    return YES;
}
- (NSMutableArray *)getData
{
    NSMutableArray * array = [NSMutableArray new];
    return array;
}
@end
