//
//  SliderButtonChangeView.m
//  Koula
//
//  Created by wemax on 16/6/15.
//  Copyright © 2016年 李文强. All rights reserved.
//

#import "SliderButtonChangeView.h"

@interface SliderButtonChangeView ()
{
    UIView * lineView;
}
@property (nonatomic, strong) UIView * myView;
@property (nonatomic, strong) NSMutableArray * myArray;
@property (nonatomic, strong) NSMutableArray * myFloatArray;
@property (nonatomic, strong) UIButton * memoryBtn;
@end

@implementation SliderButtonChangeView

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/
- (void) getSliderButtonView
{
    [self createView];
}
- (void)createView
{
    self.frame = CGRectMake(0, 64, Screen.width, 40);
    self.backgroundColor = [UIColor whiteColor];
    
    self.myArray = [NSMutableArray new];
    [self.myArray addObject:@"背单词"];
    [self.myArray addObject:@"进度"];
    [self.myArray addObject:@"词库"];
    [self.myArray addObject:@"扩展包"];
    
    
    for (int i = 0; i<self.myArray.count; i++) {
        
        UIButton * button = [UIButton buttonWithType:UIButtonTypeCustom];
        button.tag = 100+i;
        CGFloat buttonW = Screen.width/self.myArray.count;
        CGFloat buttonH = 38;
        CGFloat buttonX = buttonW*i;
        CGFloat buttonY = 0;
        button.frame = CGRectMake(buttonX, buttonY, buttonW, buttonH);
        [button setTitleColor:[UIColor lightGrayColor] forState:0];
        [button setTitle:self.myArray[i] forState:0];
        button.selected = NO;
        button.titleLabel.font = [UIFont systemFontOfSize:12];
        if (button.tag == 100) {
            button.selected = YES;
            [button setTitleColor:[UIColor colorWithRed:0.1255 green:0.6039 blue:.4431 alpha:1] forState:0];
        }
        [button addTarget:self action:@selector(buttonChange:) forControlEvents:UIControlEventTouchUpInside];
        [self addSubview:button];
    }
    //下方的线条
    lineView = [UIView new];
    self.myFloatArray = [NSMutableArray new];
    CGFloat lineViewY = 38;
    CGFloat lineViewH = 2;
    CGFloat lineViewW = [MysizeAuto createSize:self.myArray[0] andFont:13 andSize:CGSizeMake(Screen.width/self.myArray.count, 2)].size.width;
     CGFloat lineViewX = (Screen.width/self.myArray.count)/2-lineViewW/2;
    lineView.frame = CGRectMake(lineViewX, lineViewY, lineViewW, lineViewH);
    lineView.backgroundColor = [UIColor colorWithRed:0.1255 green:0.6039 blue:0.4431 alpha:1];
    [self addSubview:lineView];
    
    //加分界线
    [self line];
}
#pragma mark == 分界线
- (void)line
{
    UIView * line = [UIView new];
    CGFloat lineX = 0;
    CGFloat lineY = 40;
    CGFloat lineW = Screen.width;
    CGFloat lineH = 0.5;
    line.frame = CGRectMake(lineX, lineY, lineW, lineH);
    line.backgroundColor = [UIColor lightGrayColor];
    [self addSubview:line];
}
- (void)buttonChange:(UIButton *)button
{
    UIButton * my = [(UIButton *)self viewWithTag:100];
    [my setTitleColor:[UIColor lightGrayColor] forState:0];
    [self.memoryBtn setTitleColor:[UIColor lightGrayColor] forState:0];
    button.selected = YES;
    if (button.selected == YES) {
        [button setTitleColor:[UIColor colorWithRed:0.1255 green:0.6039 blue:.4431 alpha:1] forState:0];
    }
    else
    {
      [button setTitleColor:[UIColor lightGrayColor] forState:0];
    }
    //线条的动画
    [UIView animateWithDuration:0.5 animations:^{
        //这个方法有误差
//        lineView.center = CGPointMake(button.center.x, button.center.y+19);
//        CGRect rect = lineView.frame;
//        rect.size.width = [MysizeAuto createSize:self.myArray[button.tag-100] andFont:15 andSize:CGSizeMake(Screen.width/self.myArray.count, 2)].size.width;
//        lineView.frame = rect;
        //换个方法计算
        CGFloat X = Screen.width/self.myArray.count;
        CGFloat tag = button.tag-100;
        CGFloat lineViewY = 38;
        CGFloat lineViewH = 2;
        CGFloat lineViewW = [MysizeAuto createSize:self.myArray[button.tag-100] andFont:13 andSize:CGSizeMake(Screen.width/self.myArray.count, 2)].size.width;
        CGFloat lineViewX = X*tag+X/2-lineViewW/2;
        lineView.frame = CGRectMake(lineViewX, lineViewY, lineViewW, lineViewH);
      
    }];
      self.memoryBtn = button;
    [self.delegate titleViewScrollToIndex:button.tag-100];
}
- (void)wanerSelected:(NSInteger)tagIndex
{
    UIButton * my = [(UIButton *)self viewWithTag:tagIndex+100];
    UIButton * haha = [(UIButton *)self viewWithTag:100];
    [haha setTitleColor:[UIColor lightGrayColor] forState:0];
    [my setTitleColor:[UIColor lightGrayColor] forState:0];
    [self.memoryBtn setTitleColor:[UIColor lightGrayColor] forState:0];
    my.selected = YES;
    if (my.selected == YES) {
        [my setTitleColor:[UIColor colorWithRed:0.1255 green:0.6039 blue:.4431 alpha:1] forState:0];
    }
    else
    {
        [my setTitleColor:[UIColor lightGrayColor] forState:0];
    }
    //线条的动画
    [UIView animateWithDuration:0.5 animations:^{
         //换个方法计算
        CGFloat X = Screen.width/self.myArray.count;
        CGFloat tag = my.tag-100;
        CGFloat lineViewY = 38;
        CGFloat lineViewH = 2;
        CGFloat lineViewW = [MysizeAuto createSize:self.myArray[my.tag-100] andFont:13 andSize:CGSizeMake(Screen.width/self.myArray.count, 2)].size.width;
        CGFloat lineViewX = X*tag+X/2-lineViewW/2;
        lineView.frame = CGRectMake(lineViewX, lineViewY, lineViewW, lineViewH);
        
    }];
    self.memoryBtn = my;
}

@end
