//
//  StartLearningView.m
//  Koula
//
//  Created by wemax on 16/6/15.
//  Copyright © 2016年 李文强. All rights reserved.
//

#import "StartLearningView.h"

@interface StartLearningView()
{
    
}

@property (nonatomic, strong) NSMutableArray * titleArray;
@property (nonatomic, strong) NSMutableArray * numArray;
@end

@implementation StartLearningView

- (void)createStartLearningView:(UIViewController *)vc
{
    //
    self.titleArray = [[NSMutableArray alloc]initWithObjects:
    @"今日单词",
    @"新词数",
    @"已完成",nil];
    
    //开始按钮
    self.startButton = [UIButton buttonWithType:UIButtonTypeCustom];
    CGFloat startButtonX = Screen.width/3*2+Screen.width/3/2-25;
    CGFloat startButtonY = 35;
    CGFloat startButtonW = 50;
    CGFloat startButtonH = 50;
    self.startButton.frame = CGRectMake(startButtonX,startButtonY , startButtonW, startButtonH);
    [self.startButton setTitle:@"开始" forState:0];
    self.startButton.backgroundColor = [UIColor colorWithRed:0.1255 green:0.6039 blue:0.4431 alpha:1];
    self.startButton.layer.masksToBounds = YES;
    self.startButton.layer.cornerRadius = 25;
    [self addSubview:self.startButton];
    //分割线
    UIView * lineView = [UIView new];
    CGFloat lineViewX = Screen.width/3*2;
    CGFloat lineViewY = 25;
    CGFloat lineViewW = 0.5;
    CGFloat lineViewH = 70;
    lineView.frame = CGRectMake(lineViewX, lineViewY, lineViewW, lineViewH);
    lineView.backgroundColor = [UIColor lightGrayColor];
    [self addSubview:lineView];
    //左边
    //循环创建
    //三个Label
    CGFloat offset = Screen.width/3*2;
    CGFloat f = offset/3;
    for (int i=0; i<3; i++) {
        UILabel * titleLabel = [UILabel new];
        CGFloat titleX = f*i;
        CGFloat titleY = 75;
        CGFloat titleW = f;
        CGFloat titleH = 20;
        titleLabel.frame = CGRectMake(titleX, titleY, titleW, titleH);
        titleLabel.text = self.titleArray[i];
        titleLabel.textAlignment = 1;
        titleLabel.font = [UIFont systemFontOfSize:12];
        titleLabel.textColor = [UIColor lightGrayColor];
        [self addSubview:titleLabel];
        
        
        UILabel * numLabel = [UILabel new];
        CGFloat numLabelX = f*i;
        CGFloat numLabelY = 25;
        CGFloat numLabelW = f;
        CGFloat numLabelH = 50;
        numLabel.frame = CGRectMake(numLabelX, numLabelY, numLabelW, numLabelH);
        numLabel.text = @"0";
        numLabel.textAlignment = 1;
        numLabel.font = [UIFont systemFontOfSize:20];
        numLabel.textColor = [UIColor lightGrayColor];
        [self addSubview:numLabel];

    }
}
@end
