//
//  ViewController.m
//  Koula
//
//  Created by wemax on 16/6/14.
//  Copyright © 2016年 李文强. All rights reserved.
//

#import "ViewController.h"
#import "MyNavTool.h"
#import "SearchView.h"
#import "SliderButtonChangeView.h"
#import "ViewControllerCellView.h"
#import "EveryDayOneSentence.h"
#import "MyWordsVC.h"
@interface ViewController ()<UIScrollViewDelegate,SliderButtonDelegate>
{
    UIView * view_bar;
    SliderButtonChangeView * sliderView;
}
@property (nonatomic, strong) UIScrollView * scrollView;
@end

@implementation ViewController

#pragma mark == 自定义NAV
- (UIView *)myNav
{
    CGFloat viewX = 0;
    CGFloat viewY = 0;
    CGFloat viewW = Screen.width;
    CGFloat ViewH = 64;
    view_bar = [UIView new];
    view_bar =[[UIView alloc]init];
    view_bar .frame=CGRectMake(viewX, viewY, viewW, ViewH);
    view_bar.backgroundColor=[UIColor colorWithRed:0.1255 green:0.6039 blue:0.4431 alpha:1];
    
    [self.view addSubview:view_bar];
    CGFloat titleX = 65;
    CGFloat titleY = ViewH-44;
    CGFloat titleW = Screen.width-130;
    CGFloat titleH = 44;
    UILabel * title_label = [[UILabel alloc]initWithFrame:CGRectMake(titleX, titleY, titleW, titleH)];
    title_label.text = @"标题";
    title_label.font = [UIFont boldSystemFontOfSize:20];
    title_label.backgroundColor = [UIColor clearColor];
    title_label.textColor = [UIColor whiteColor];
    title_label.textAlignment = 1;
    [view_bar addSubview:title_label];
    
    UIButton * btnSeach = [UIButton buttonWithType:UIButtonTypeCustom];
    btnSeach.frame = CGRectMake(view_bar.frame.size.width-110, view_bar.frame.size.height-40, 40, 40);
    
    [btnSeach setTitle:@"搜索" forState:0];
    btnSeach.titleLabel.font = [UIFont systemFontOfSize:12];
    [btnSeach setImage:[UIImage imageNamed:@""] forState:0];
    [btnSeach addTarget:self action:@selector(btnSearch:) forControlEvents:UIControlEventTouchUpInside];
    [view_bar addSubview:btnSeach];
    
    UIButton * btnMessage = [UIButton buttonWithType:UIButtonTypeCustom];
    btnMessage.frame = CGRectMake(view_bar.frame.size.width-55, view_bar.frame.size.height-40, 40, 40);
    btnMessage.titleLabel.font = [UIFont systemFontOfSize:12];
    [btnMessage setTitle:@"通知" forState:0];
    [btnMessage setImage:[UIImage imageNamed:@""] forState:0];
    [btnMessage addTarget:self action:@selector(btnMessage:) forControlEvents:UIControlEventTouchUpInside];
    [view_bar addSubview:btnMessage];
    return view_bar;

}
- (void)btnSearch:(UIButton *)button
{
    SearchView * vc = [SearchView new];
    [vc createSearchView:self];
    vc.frame = CGRectMake(0, 0, Screen.width, Screen.height);
    [self.view addSubview:vc];
}
- (void)btnMessage:(UIButton *)button
{
    
}
- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor colorWithRed:0.9647 green:0.9647 blue:0.9647 alpha:1];
    self.navigationController.navigationBarHidden = YES;
    [self.view addSubview:[self myNav]];
    [self addSliderButton];
    [self createBigScrollVew];
    // Do any additional setup after loading the view, typically from a nib.
}
- (void) addSliderButton
{
    sliderView = [SliderButtonChangeView new];
    sliderView.delegate = self;
    sliderView.frame = CGRectMake(0, 64, Screen.width, 40);
    [sliderView getSliderButtonView];
    [self.view addSubview:sliderView];
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark == 横向滚动视图
- (void)createBigScrollVew
{
    CGFloat scrollX = 0;
    CGFloat scrollY = 64+40;
    CGFloat scrollW = Screen.width;
    CGFloat scrollH = Screen.height-104;
    self.scrollView = [[UIScrollView alloc]initWithFrame:CGRectMake(scrollX, scrollY, scrollW, scrollH)];
    self.scrollView.backgroundColor = [UIColor whiteColor];
    self.scrollView.contentSize = CGSizeMake(Screen.width*4, scrollH);
    self.scrollView.pagingEnabled = YES;
    self.scrollView.scrollEnabled = YES;
    self.scrollView.clipsToBounds = YES;
    self.scrollView.delegate = self;
    self.scrollView.showsHorizontalScrollIndicator = YES;
    self.scrollView.showsVerticalScrollIndicator = YES;
    self.scrollView.bounces = NO;
      [self.view addSubview:self.scrollView];
    
    MyWordsVC * myWordsVC = [MyWordsVC new];
    myWordsVC.view.backgroundColor = [UIColor greenColor];//[UIColor colorWithRed:0.9647 green:0.9647 blue:0.9647 alpha:1];
    myWordsVC.view.frame = CGRectMake(0,0, Screen.width,Screen.height - 104);
    
    UIView * view1 = [UIView new];
    view1.backgroundColor = [UIColor redColor];
    view1.frame = CGRectMake(Screen.width, 0, Screen.width, Screen.height - 104);
    UIView * view2 = [UIView new];
    view2.backgroundColor = [UIColor redColor];
    view2.frame = CGRectMake(Screen.width, 0, Screen.width, Screen.height - 104);
    UIView * view3 = [UIView new];
    view3.backgroundColor = [UIColor yellowColor];
    view3.frame = CGRectMake(Screen.width*2, 0, Screen.width, Screen.height - 104);
    UIView * view4 = [UIView new];
    view4.backgroundColor = [UIColor blueColor];
    view4.frame = CGRectMake(Screen.width*3, 0, Screen.width, Screen.height - 104);
    
    [self.scrollView addSubview:view2];
    [self.scrollView addSubview:view3];
    [self.scrollView addSubview:view4];
    [self.scrollView addSubview:view1];
    NSLog(@"滚动视图的坐标%@",self.scrollView);
    NSLog(@"Controller %@",myWordsVC.view);
    
}
- (void)scrollViewDidEndDecelerating:(UIScrollView *)scrollView
{
    
}
-(void)scrollViewDidScroll:(UIScrollView *)scrollView
{
    if(scrollView.contentOffset.x/Screen.width==0){
        
        [sliderView wanerSelected:0];
        
    }else if(scrollView.contentOffset.x/Screen.width==1){
        [sliderView wanerSelected:1];
       
    }else if(scrollView.contentOffset.x/Screen.width==2){
        [sliderView wanerSelected:2];
        
    }else if(scrollView.contentOffset.x/Screen.width==3){
        [sliderView wanerSelected:3];
        
    }


}
#pragma SliderButtnDelegate
- (void)titleViewScrollToIndex:(NSInteger)tagIndex
{
    [self.scrollView scrollRectToVisible:CGRectMake(Screen.width*tagIndex, 0, self.view.bounds.size.width, self.view.bounds.size.height) animated:YES];
}
#pragma mark == Tabbar的设置

@end
