//
//  MyWordsVC.m
//  Koula
//
//  Created by wemax on 16/6/16.
//  Copyright © 2016年 李文强. All rights reserved.
//

#import "MyWordsVC.h"
#import "EveryDayOneSentence.h"
#import "ViewControllerCellView.h"

@interface MyWordsVC ()<UITableViewDataSource,UITableViewDelegate>
{
    
}
@property (nonatomic, strong) UITableView * tableView;
@end

@implementation MyWordsVC

- (void)viewDidLoad {
    [super viewDidLoad];
//    self.view.backgroundColor = [UIColor colorWithRed:0.9647 green:0.9647 blue:0.9647 alpha:1];
    [self createTableView];
    // Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (void)createTableView
{
    CGFloat tableViewX = 10;
    CGFloat tableViewY = 0;
    CGFloat tableViewW = Screen.width-20;
    CGFloat tableViewH = Screen.height -104;
    self.tableView = [[UITableView alloc]initWithFrame:CGRectMake(tableViewX, tableViewY, tableViewW, tableViewH) style:UITableViewStyleGrouped];
    self.tableView.backgroundColor = [UIColor grayColor];//[UIColor colorWithRed:0.9647 green:0.9647 blue:0.9647 alpha:1];
    self.tableView.delegate = self;
    self.tableView.dataSource = self;
//    self.tableView.userInteractionEnabled = NO;
    [self.view addSubview:self.tableView];
    
}

#pragma mark--tableViewDelegate

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 6;
}
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 1;
}
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell * cell = [tableView dequeueReusableCellWithIdentifier:@"cell"];
    if (!cell) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"cell"];
    }
    cell.backgroundColor = [UIColor whiteColor];
    cell.selectionStyle = UITableViewCellSelectionStyleNone;
    ViewControllerCellView * vc = [ViewControllerCellView new];
    [vc tableViewCell:cell and:indexPath and:self];
    return cell;
}
- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    switch (indexPath.section) {
        case 0:
        {
            return Screen.height/4;
        }
            break;
        case 1:
        {
            return 120;
        }
            break;
        case 2:
        {
            return 50;
        }
            break;
        case 3:
        {
            return 50;
        }
            break;
        case 4:
        {
            EveryDayOneSentence * v = [EveryDayOneSentence new];
            return [v createView];
        }
            break;
        case 5:
        {
            return Screen.height/4;
        }
            break;
            
        default:
            break;
    }
    return 50;
}
- (CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section
{
    return 10;
}
- (CGFloat)tableView:(UITableView *)tableView heightForFooterInSection:(NSInteger)section
{
    return 1;
}
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSLog(@"哈哈哈");
}
- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event
{
     NSLog(@"哈哈哈");
}
@end
